Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface OligoFeature

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface OligoFeature
extends Feature

The location where an OligoProbe hits the genome.

Author:
  Craig Melsopp
See Also:
  `OligoArray`, `OligoProbe`

Method Summary
`int` | `getMisMatchSize()` The number of bases by which the probe differs from the genomic sequence.
`OligoProbe` | `getProbe()` The probe that hits the genome.
`long` | `getProbeInternalID()` Database internal ID for the the probe.
`java.lang.String` | `getProbeSetName()` The name of the probe's probeset.

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getProbe

    public OligoProbe getProbe()

  The probe that hits the genome.

  Returns:
    The probe that hits the genome.

### getMisMatchSize

    public int getMisMatchSize()

  The number of bases by which the probe differs from the genomic sequence.

  Returns:
    The number of bases by which the probe differs from the genomic sequence.

### getProbeSetName

    public java.lang.String getProbeSetName()

  The name of the probe's probeset. Funcionally equivalent to getProbe().getProbeSetName().

  Returns:
    name of the probe's probeset.

### getProbeInternalID

    public long getProbeInternalID()

  Database internal ID for the the probe. Same as getProbe().getInternalID()

  Returns:
    database internal ID for te the probe.
  See Also:
    `getProbe()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD